|  | Home · All Classes · Modules

# QEventLoop.ProcessEventsFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, ProcessEventsFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ProcessEventsFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ProcessEventsFlags f)
- ProcessEventsFlags __iand__ (self, int mask)
- int __int__ (self)
- ProcessEventsFlags __invert__ (self)
- ProcessEventsFlags __ior__ (self, ProcessEventsFlags f)
- ProcessEventsFlags __ixor__ (self, ProcessEventsFlags f)
- bool __ne__ (self, ProcessEventsFlags f)
- ProcessEventsFlags __or__ (self, ProcessEventsFlags f)
- ProcessEventsFlags __xor__ (self, ProcessEventsFlags f)

## Detailed Description

ProcessEventsFlag may be used whenever ProcessEventsFlags is expected.

## Method Documentation

### ProcessEventsFlags.__init__ (self, ProcessEventsFlags)

### ProcessEventsFlags.__init__ (self, int)

### ProcessEventsFlags.__init__ (self)

### ProcessEventsFlags ProcessEventsFlags.__and__ (self, int mask)

### int ProcessEventsFlags.__bool__ (self)

### bool ProcessEventsFlags.__eq__ (self, ProcessEventsFlags f)

### ProcessEventsFlags ProcessEventsFlags.__iand__ (self, int mask)

### int ProcessEventsFlags.__int__ (self)

### ProcessEventsFlags ProcessEventsFlags.__invert__ (self)

### ProcessEventsFlags ProcessEventsFlags.__ior__ (self, ProcessEventsFlags f)

### ProcessEventsFlags ProcessEventsFlags.__ixor__ (self, ProcessEventsFlags f)

### bool ProcessEventsFlags.__ne__ (self, ProcessEventsFlags f)

### ProcessEventsFlags ProcessEventsFlags.__or__ (self, ProcessEventsFlags f)

### ProcessEventsFlags ProcessEventsFlags.__xor__ (self, ProcessEventsFlags f)